//
// PropertyScoreInferenceScores.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct PropertyScoreInferenceScores: Codable, JSONEncodable, Hashable {

    public var all: PropertyScoreInferenceScoresAll?
    public var bathroom: PropertyScoreInferenceScoresBathroom?
    public var bedroom: PropertyScoreInferenceScoresBedroom?
    public var diningRoom: PropertyScoreInferenceScoresBedroom?
    public var kitchen: PropertyScoreInferenceScoresKitchen?
    public var livingRoom: PropertyScoreInferenceScoresKitchen?

    public init(all: PropertyScoreInferenceScoresAll? = nil, bathroom: PropertyScoreInferenceScoresBathroom? = nil, bedroom: PropertyScoreInferenceScoresBedroom? = nil, diningRoom: PropertyScoreInferenceScoresBedroom? = nil, kitchen: PropertyScoreInferenceScoresKitchen? = nil, livingRoom: PropertyScoreInferenceScoresKitchen? = nil) {
        self.all = all
        self.bathroom = bathroom
        self.bedroom = bedroom
        self.diningRoom = diningRoom
        self.kitchen = kitchen
        self.livingRoom = livingRoom
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case all
        case bathroom
        case bedroom
        case diningRoom = "dining_room"
        case kitchen
        case livingRoom = "living_room"
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(all, forKey: .all)
        try container.encodeIfPresent(bathroom, forKey: .bathroom)
        try container.encodeIfPresent(bedroom, forKey: .bedroom)
        try container.encodeIfPresent(diningRoom, forKey: .diningRoom)
        try container.encodeIfPresent(kitchen, forKey: .kitchen)
        try container.encodeIfPresent(livingRoom, forKey: .livingRoom)
    }
}

